Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wass.wss.configuration
Class WSSConfiguration

    java.lang.Object
      org.deegree.ogcwebservices.getcapabilities.OGCCapabilities
          org.deegree.ogcwebservices.wass.common.OWSCapabilitiesBaseType_1_0
              org.deegree.ogcwebservices.wass.wss.capabilities.WSSCapabilities
                  org.deegree.ogcwebservices.wass.wss.configuration.WSSConfiguration

All Implemented Interfaces:
  Serializable

    public class WSSConfiguration

extends WSSCapabilities

The configuration class represents the capabilities and the "deegree specific parameter" which will be sent back to the clienst getCapabilities request.

Since:
  2.0
Version:
  2.0, $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Rutger Bezema, last edited by: $Author: mschneider $
See Also:
  Serialized Form

Constructor Summary
`WSSConfiguration(WSSCapabilities capabilities, WSSDeegreeParams deegreeParams)`

Method Summary
`WSSDeegreeParams` | `getDeegreeParams()`

Methods inherited from class org.deegree.ogcwebservices.wass.wss.capabilities.WSSCapabilities
`getSecuredServiceType`

Methods inherited from class org.deegree.ogcwebservices.wass.common.OWSCapabilitiesBaseType_1_0
`getAuthenticationMethods, getOperationsMetadata, getServiceIdentification, getServiceProvider, isAnonymousAuthenticationSupported, isAuthenticationMethodSupported, isPasswordAuthenticationSupported, isSessionAuthenticationSupported, isWasAuthenticationSupported`

Methods inherited from class org.deegree.ogcwebservices.getcapabilities.OGCCapabilities
`getUpdateSequence, getVersion, setUpdateSequence, setVersion`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WSSConfiguration

    public WSSConfiguration(WSSCapabilities capabilities,
                            WSSDeegreeParams deegreeParams)

Parameters:
  `capabilities` -
  `deegreeParams` -

Method Detail

### getDeegreeParams

    public WSSDeegreeParams getDeegreeParams()

  Returns:
    Returns the deegree specific Parameters.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org